def get_graph_diff(g1, g2):
    """
    operations needed to make g1 -> g2
    """
    adds = [item for item in g2 if not item in g1]
    dels = [item for item in g1 if not item in g2]
    #ipdb.set_trace()
    return adds, dels

